www-apache-bugdb mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Lawrence Rosenman <...@lerctr.org>
Subject os-unixware/511: UnixWare 2.1.2 is NOT detected by the configuration scripts
Date Wed, 30 Apr 1997 11:20:03 GMT

>Number:         511
>Category:       os-unixware
>Synopsis:       UnixWare 2.1.2 is NOT detected by the configuration scripts
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    apache (Apache HTTP Project)
>State:          open
>Class:          change-request
>Submitter-Id:   apache
>Arrival-Date:   Wed Apr 30 04:20:02 1997
>Originator:     ler@lerctr.org
>Organization:
apache
>Release:        1.2b10
>Environment:
UnixWare 2.1.2 is NOT detected correctly by the Configure (and
helpers/GuessOS) scripts.
>Description:
Configure and friends don't detect UnixWare 2.1.2 correctly
>How-To-Repeat:
Run Configure on a 2.1.2 system.  

To fix, see below.
>Fix:
--- Configure.old	Wed Apr 30 05:52:00 1997
+++ Configure	Wed Apr 30 05:53:15 1997
@@ -369,6 +369,13 @@
 	CFLAGS="$CFLAGS -DUW"
 	LIBS="$LIBS -lsocket -lnsl -lcrypt"
 	;;
+    *-unixware212)
+	OS='Unixware 2.1.2'
+	CFLAGS="$CFLAGS -DUW"
+	LIBS="$LIBS -lsocket -lnsl -lcrypt"
+	DBM_LIB=""
+	CC=c89
+	;;
     *-sni-sysv4*)
 	OS='SVR4'
 	CFLAGS="$CFLAGS -DSVR4"
--- helpers/GuessOS.old	Wed Apr 30 05:44:13 1997
+++ helpers/GuessOS	Wed Apr 30 05:51:48 1997
@@ -41,6 +41,8 @@
 	    4.2MP)
 		if [ "x$VERSION" = "x2.1.1" ]; then
 		    echo "${MACHINE}-whatever-unixware211"; exit 0
+		elif [ "x$VERSION" = "x2.1.2" ]; then
+		    echo "${MACHINE}-whatever-unixware212"; exit 0
 		else
 		    echo "${MACHINE}-whatever-unixware2"; exit 0
 		f
>Audit-Trail:
>Unformatted:



Mime
View raw message